package com.logicbig.example;

import javax.ws.rs.GET;
import javax.ws.rs.HEAD;
import javax.ws.rs.Path;
import javax.ws.rs.QueryParam;
import javax.ws.rs.core.Response;

@Path("/")
public class ExampleResource {

    @Path("/test")
    @HEAD
    public Response handle(@QueryParam("param1") String param1) {
        System.out.printf("param1: %s%n", param1);
        Response r = Response.ok("this body will be ignored")
                             .header("someHeader", "someHeaderValue")
                             .build();
        return r;
    }


    @Path("/test2")
    @GET
    public Response handle2() {
        Response r = Response.ok("some body content")
                             .header("someHeader2", "someHeaderValue2")
                             .build();
        return r;
    }

    @Path("/test3")
    public Response handle3() {
        Response r = Response.ok("some body content")
                             .header("someHeader3", "someHeaderValue3")
                             .build();
        return r;
    }
}